<!doctype html>
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title>Résultat de l'analyse</title>
        <link rel="stylesheet" href="{{ url_for('static', filename='Assets/CSS/style.css') }}">
    </head>
    <body>
        <div id="mainResult">
            <div id="resultBox" class="text-center">
                <h1>Résultats de l'analyse</h1>
                <p>Votre image semble être un(e) <strong>{{ all_results.max_label.result | capitalize }}</strong> (fiabilité : <em>{{ "{0:2.4f}%".format(all_results.max_value.result*100) }}</em>)</p>
                <h2>Détails de l'analyse :</h2>
                <div>
                    <h3>Types : Fleurs, animaux</h3>
                    <table class="flat-table flat-table-1">
                        <thead>
                            <tr>
                                <th width="300px">Objet</th>
                                <th width="100px">Fiabilité</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for key, value in all_results.animals_flowers.results.items() %}
                                {% if key not in ['_id', 'date', 'filename'] %}
                                    <tr>
                                        <td>{{ key | capitalize}}</td>
                                        <td>{{ "{0:1.4f}%".format(value*100) }}</td>
                                    </tr>
                                {%  endif %}
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
                <div class="button_cont text-center">
                    <a href="/"><input type="button" value="Nouvelle analyse" class="buttonClass example_c"/></a>
                </div>
            </div>
        </div>
    </body>
</html>